Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class AbstractFormData

    java.lang.Object
      com.tibco.bpm.web.client.model.types.AbstractFormData

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, IFormData

Direct Known Subclasses:
  PageData, WorkItem

    public abstract class AbstractFormData

extends java.lang.Object
implements IFormData, com.google.gwt.user.client.rpc.IsSerializable

AbstractFormData Type.

©2012 TIBCO Software Inc.

Since:
  TODO

Constructor Summary
`AbstractFormData()`

Method Summary
`void` | `addInOutField(ToDoField fld)`
`void` | `addInputField(ToDoField fld)`
`void` | `addOutputField(ToDoField fld)`
`java.lang.String` | `getDataFeed()` The DataFeed containing an JSON or XML representation of the data associated with the item.
`int` | `getFormat()` Feed format.
`java.lang.String` | `getFormURL()` The URL form the form.
`long` | `getId()` ID of the ToDoItem.
`java.util.ArrayList<ToDoField>` | `getInOutFields()` List of the input/output `ToDoField` fields for the ToDoItem.
`java.util.ArrayList<ToDoField>` | `getInputFields()` List of the input only `ToDoField` fields for the ToDoItem.
`int` | `getMode()` Feed mode.
`java.util.ArrayList<ToDoField>` | `getOutputFields()` List of the output only `ToDoField` fields for the ToDoItem.
`java.lang.String` | `getPresentationType()` The type of presentation (i.e.
`java.lang.String` | `getProcessId()` Process ID of the owner process.
`long` | `getVersion()` Version of the ToDoItem.
`java.lang.String` | `getXmlData()` XML representation of the ToDoItem, not currently used.
`boolean` | `isParallelPageFlow()`
`void` | `setDataFeed(java.lang.String dataFeed)` The DataFeed containing an JSON or XML representation of the data associated with the item.
`void` | `setFormat(int format)` Feed format.
`void` | `setFormURL(java.lang.String formURL)` The URL form the form.
`void` | `setId(long id)` ID of the ToDoItem.
`void` | `setInOutFields(java.util.ArrayList<ToDoField> inOutFields)` List of the input/output `ToDoField` fields for the ToDoItem.
`void` | `setInputFields(java.util.ArrayList<ToDoField> inputFields)` List of the input only `ToDoField` fields for the ToDoItem.
`void` | `setMode(int mode)` Feed mode.
`void` | `setOutputFields(java.util.ArrayList<ToDoField> outputFields)` List of the output only `ToDoField` fields for the ToDoItem.
`void` | `setParallelPageFlow(boolean isParallelPageFlow)`
`void` | `setPresentationType(java.lang.String presentationType)` The type of presentation (i.e.
`void` | `setProcessId(java.lang.String processId)` Process ID of the owner process.
`void` | `setVersion(long version)` Version of the ToDoItem.
`void` | `setXmlData(java.lang.String xmlData)` XML representation of the ToDoItem, not currently used.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractFormData

    public AbstractFormData()

Method Detail

### getInputFields

    public java.util.ArrayList<ToDoField> getInputFields()

  List of the input only `ToDoField` fields for the ToDoItem.

  Specified by:
    `getInputFields` in interface `IFormData`
  Returns:
    Returns the inputFields.

### setInputFields

    public void setInputFields(java.util.ArrayList<ToDoField> inputFields)

  List of the input only `ToDoField` fields for the ToDoItem.

  Specified by:
    `setInputFields` in interface `IFormData`
  Parameters:
    `inputFields` - The inputFields to set.

### getOutputFields

    public java.util.ArrayList<ToDoField> getOutputFields()

  List of the output only `ToDoField` fields for the ToDoItem.

  Specified by:
    `getOutputFields` in interface `IFormData`
  Returns:
    Returns the outputFields.

### setOutputFields

    public void setOutputFields(java.util.ArrayList<ToDoField> outputFields)

  List of the output only `ToDoField` fields for the ToDoItem.

  Specified by:
    `setOutputFields` in interface `IFormData`
  Parameters:
    `outputFields` - The outputFields to set.

### getInOutFields

    public java.util.ArrayList<ToDoField> getInOutFields()

  List of the input/output `ToDoField` fields for the ToDoItem.

  Specified by:
    `getInOutFields` in interface `IFormData`
  Returns:
    Returns the inOutFields.

### setInOutFields

    public void setInOutFields(java.util.ArrayList<ToDoField> inOutFields)

  List of the input/output `ToDoField` fields for the ToDoItem.

  Specified by:
    `setInOutFields` in interface `IFormData`
  Parameters:
    `inOutFields` - The inOutFields to set.

### getId

    public long getId()

  ID of the ToDoItem.

  Specified by:
    `getId` in interface `IFormData`
  Returns:
    Returns the id.

### setId

    public void setId(long id)

  ID of the ToDoItem.

  Specified by:
    `setId` in interface `IFormData`
  Parameters:
    `id` - The id to set.

### getVersion

    public long getVersion()

  Version of the ToDoItem.

  Specified by:
    `getVersion` in interface `IFormData`
  Returns:
    Returns the version.

### setVersion

    public void setVersion(long version)

  Version of the ToDoItem.

  Specified by:
    `setVersion` in interface `IFormData`
  Parameters:
    `version` - The version to set.

### getDataFeed

    public java.lang.String getDataFeed()

  The DataFeed containing an JSON or XML representation of the data associated with the item.

  Specified by:
    `getDataFeed` in interface `IFormData`
  Returns:
    Returns the dataFeed.

### setDataFeed

    public void setDataFeed(java.lang.String dataFeed)

  The DataFeed containing an JSON or XML representation of the data associated with the item.

  Specified by:
    `setDataFeed` in interface `IFormData`
  Parameters:
    `dataFeed` - The dataFeed to set.

### getProcessId

    public java.lang.String getProcessId()

  Process ID of the owner process.

  Specified by:
    `getProcessId` in interface `IFormData`
  Returns:
    Returns the processId.

### setProcessId

    public void setProcessId(java.lang.String processId)

  Process ID of the owner process.

  Specified by:
    `setProcessId` in interface `IFormData`
  Parameters:
    `processId` - The processId to set.

### getPresentationType

    public java.lang.String getPresentationType()

  The type of presentation (i.e. GWT_FORMS).

  Specified by:
    `getPresentationType` in interface `IFormData`
  Returns:
    Returns the presentationType.

### setPresentationType

    public void setPresentationType(java.lang.String presentationType)

  The type of presentation (i.e. GWT_FORMS).

  Specified by:
    `setPresentationType` in interface `IFormData`
  Parameters:
    `presentationType` - The presentationType to set.

### getFormat

    public int getFormat()

  Feed format. This is an integer representation of the Enum value on the server.

  Specified by:
    `getFormat` in interface `IFormData`
  Returns:
    Returns the format.

### setFormat

    public void setFormat(int format)

  Feed format. This is an integer representation of the Enum value on the server.

  Specified by:
    `setFormat` in interface `IFormData`
  Parameters:
    `format` - The format to set.

### getMode

    public int getMode()

  Feed mode. This is an integer representation of the Enum value on the server.

  Specified by:
    `getMode` in interface `IFormData`
  Returns:
    Returns the mode.

### setMode

    public void setMode(int mode)

  Feed mode. This is an integer representation of the Enum value on the server.

  Specified by:
    `setMode` in interface `IFormData`
  Parameters:
    `mode` - The mode to set.

### getFormURL

    public java.lang.String getFormURL()

  The URL form the form. This can be used when rendering the form using the Form Runner API.

  Specified by:
    `getFormURL` in interface `IFormData`
  Returns:
    Returns the formURL.

### setFormURL

    public void setFormURL(java.lang.String formURL)

  The URL form the form. This can be used when rendering the form using the Form Runner API.

  Specified by:
    `setFormURL` in interface `IFormData`
  Parameters:
    `formURL` - The formURL to set.

### getXmlData

    public java.lang.String getXmlData()

  XML representation of the ToDoItem, not currently used.

  Specified by:
    `getXmlData` in interface `IFormData`
  Returns:
    Returns the xmlData.

### setXmlData

    public void setXmlData(java.lang.String xmlData)

  XML representation of the ToDoItem, not currently used.

  Specified by:
    `setXmlData` in interface `IFormData`
  Parameters:
    `xmlData` - The xmlData to set.

### addInputField

    public void addInputField(ToDoField fld)

  Specified by:
    `addInputField` in interface `IFormData`

### addOutputField

    public void addOutputField(ToDoField fld)

  Specified by:
    `addOutputField` in interface `IFormData`

### addInOutField

    public void addInOutField(ToDoField fld)

  Specified by:
    `addInOutField` in interface `IFormData`

### isParallelPageFlow

    public boolean isParallelPageFlow()

  Specified by:
    `isParallelPageFlow` in interface `IFormData`
  Returns:
    Returns the isParallelPageFlow.

### setParallelPageFlow

    public void setParallelPageFlow(boolean isParallelPageFlow)

  Specified by:
    `setParallelPageFlow` in interface `IFormData`
  Parameters:
    `isParallelPageFlow` - The isParallelPageFlow to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.